# Uses of Enum
com.ngrok.NgrokApiClient.HttpMethod

Packages that use NgrokApiClient.HttpMethod
Package
Description
com.ngrok

- ## Uses of NgrokApiClient.HttpMethod in com.ngrok

  Methods in com.ngrok that return NgrokApiClient.HttpMethod
  Modifier and Type
  Method
  Description
  `static NgrokApiClient.HttpMethod`
  NgrokApiClient.HttpMethod.`valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static NgrokApiClient.HttpMethod[]`
  NgrokApiClient.HttpMethod.`values()`
  Returns an array containing the constants of this enum type, in the order they are declared.
  Methods in com.ngrok with parameters of type NgrokApiClient.HttpMethod
  Modifier and Type
  Method
  Description
  `<O> CompletionStage<O>`
  DefaultNgrokApiClient.`sendRequest(NgrokApiClient.HttpMethod method, String endpoint, Stream<Map.Entry<String,Optional<Object>>> queryParams, Stream<Map.Entry<String,Optional<Object>>> bodyParamsStream, Optional<Class<O>> responseClass)`
  Sends a request to the ngrok API.
  `<O> CompletionStage<O>`
  NgrokApiClient.`sendRequest(NgrokApiClient.HttpMethod method, String endpoint, Stream<Map.Entry<String,Optional<Object>>> queryParams, Stream<Map.Entry<String,Optional<Object>>> bodyParams, Optional<Class<O>> responseClass)`
  Sends a request to the ngrok API.